// Sample_MFCDoc.cpp : CSample_MFCDoc クラスの実装
//

#include "stdafx.h"
#include "Sample_MFC.h"

#include "Sample_MFCDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CSample_MFCDoc

IMPLEMENT_DYNCREATE(CSample_MFCDoc, CDocument)

BEGIN_MESSAGE_MAP(CSample_MFCDoc, CDocument)
END_MESSAGE_MAP()


// CSample_MFCDoc コンストラクション/デストラクション

CSample_MFCDoc::CSample_MFCDoc()
{
	// TODO: この位置に１度だけ呼ばれる構築用のコードを追加してください。

}

CSample_MFCDoc::~CSample_MFCDoc()
{
}

BOOL CSample_MFCDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: この位置に再初期化処理を追加してください。
	// (SDI ドキュメントはこのドキュメントを再利用します。)

	return TRUE;
}




// CSample_MFCDoc シリアル化

void CSample_MFCDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: 格納するコードをここに追加してください。
	}
	else
	{
		// TODO: 読み込むコードをここに追加してください。
	}
}


// CSample_MFCDoc 診断

#ifdef _DEBUG
void CSample_MFCDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CSample_MFCDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CSample_MFCDoc コマンド
